<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_4c760fb02a4" . "9c55509ba087" . "b84fbda45" => base64_decode("ZHJhZ" . "nQ="), "_80e7ee43" . "fdf838101" . "a2303a7b4" . "a50efc" => base64_decode("dG9fZm9sZGV" . "yX2lk"), "_32155ccb342f19" . "9043093041c1b3b" . "b57" => base64_decode("ZnJvbV9mb2" . "xkZXJfaWQ="), "_939c6a45ff7" . "4323dbef487e" . "d15753a7c" => base64_decode("c3" . "Rh" . "dG" . "U="), "_2e858fb1973337f53ff85c104f" . "cb38f4" => base64_decode("cHVib" . "GlzaG" . "Vk"), "t" . "y" . "p" . "e" => base64_decode("dHlw" . "ZQ=="), "_d0845bff5cd0ddb" . "5ed1d7bd9db996f5" . "1" => base64_decode("c2" . "91" . "cm" . "Nl"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_939c6a45ff74323dbef487ed15753" . "a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_939c6a45ff74323dbef48" . "7ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4c760fb02" . "a49c55509b" . "a087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2e858fb1973337f53ff85c104f" . "cb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["typ" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["ty" . "pe"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d0845bff" . "5cd0ddb5e" . "d1d7bd9db" . "996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_32155ccb342f19904" . "3093041c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_80e7ee43fdf838101a2303a7b4a50" . "efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}